Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Apache CXF API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cxf.ws.addressing.wsdl
Class ObjectFactory

    java.lang.Object
      org.apache.cxf.ws.addressing.wsdl.ObjectFactory

    public class ObjectFactory

extends java.lang.Object

This object contains factory methods for each Java content interface and Java element interface generated in the org.apache.cxf.ws.addressing.wsdl package.

An ObjectFactory allows you to programatically construct new instances of the Java representation for XML content. The Java representation of XML content can consist of schema derived interfaces and classes representing the binding of schema type definitions, element declarations and model groups. Factory methods for each of these are provided in this class.

Constructor Summary
`ObjectFactory()` Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: org.apache.cxf.ws.addressing.wsdl

Method Summary
`AttributedQNameType` | `createAttributedQNameType()` Create an instance of `AttributedQNameType`
`javax.xml.bind.JAXBElement<AttributedQNameType>` | `createInterfaceName(AttributedQNameType value)` Create an instance of `JAXBElement``<``AttributedQNameType``>`}
`javax.xml.bind.JAXBElement<ServiceNameType>` | `createServiceName(ServiceNameType value)` Create an instance of `JAXBElement``<``ServiceNameType``>`}
`ServiceNameType` | `createServiceNameType()` Create an instance of `ServiceNameType`
`UsingAddressing` | `createUsingAddressing()` Create an instance of `UsingAddressing`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ObjectFactory

    public ObjectFactory()

  Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: org.apache.cxf.ws.addressing.wsdl

Method Detail

### createServiceNameType

    public ServiceNameType createServiceNameType()

  Create an instance of `ServiceNameType`

### createAttributedQNameType

    public AttributedQNameType createAttributedQNameType()

  Create an instance of `AttributedQNameType`

### createUsingAddressing

    public UsingAddressing createUsingAddressing()

  Create an instance of `UsingAddressing`

### createInterfaceName

    public javax.xml.bind.JAXBElement<AttributedQNameType> createInterfaceName(AttributedQNameType value)

  Create an instance of `JAXBElement``<``AttributedQNameType``>`}

### createServiceName

    public javax.xml.bind.JAXBElement<ServiceNameType> createServiceName(ServiceNameType value)

  Create an instance of `JAXBElement``<``ServiceNameType``>`}

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Apache CXF API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Apache CXF is an effort undergoing incubation at the Apache Software Foundation(ASF) and sponsored by the Apache Incubator PMC.